Add agent to queue
curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": "1111222233334444AAAA8888FFFF6666"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues"
payload = { "queueId": "1111222233334444AAAA8888FFFF6666" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"queueId\": \"1111222233334444AAAA8888FFFF6666\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"queueId\": \"1111222233334444AAAA8888FFFF6666\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queueId' => '1111222233334444AAAA8888FFFF6666'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: '1111222233334444AAAA8888FFFF6666'})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Agent added to queue successfully."
}customer-engagement
Add agent to queue
Use this method to add an agent to a queue.
Required scope: Enable one of: conversations:manage.
POST
/
ccaas
/
1
/
agents
/
{agentId}
/
queues
Add agent to queue
curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": "1111222233334444AAAA8888FFFF6666"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues"
payload = { "queueId": "1111222233334444AAAA8888FFFF6666" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"queueId\": \"1111222233334444AAAA8888FFFF6666\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"queueId\": \"1111222233334444AAAA8888FFFF6666\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queueId' => '1111222233334444AAAA8888FFFF6666'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: '1111222233334444AAAA8888FFFF6666'})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/agents/{agentId}/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Agent added to queue successfully."
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the Agent which should be assign to Queue.
Body
application/json
queueId identifier
Maximum string length:
255